.file-picture {
    width: 120px;
    height: 120px;
    border-radius: 50%;

    float: left;
    margin-right: 20px;

    shape-outside: circle(50%);

    img {
        width: 100%;
        height: 100%;
        object-fit: cover;
    }
}

.modal-file-picture {
    float: left;
    height: 300px;
    width: 300px;
    margin-right: 20px;

    img {
        height: 100%;
        width: 100%;
        object-fit: contain;
    }
}

.expander-file-list {
    @include unstyled-list;
}

.file-expander {

    box-shadow: $box-shadow;
    padding: 25px 20px;
    margin-bottom: 10px;
    background: white;

    .info {
        width: 100%;
        margin-bottom: 10px;
        @include flex(flex, flex-start, space-between);

        & > div {
            @include flex(flex, center, center);
        }
    }

    mr-image {
        float: left;
        height: 50px;
        width: 50px;
        border-radius: 50%;
        margin-right: 10px;

        img {
            height: 100%;
            width: 100%;
            object-fit: cover;
        }
    }

    .title {

        h5 {
            font-size: 1rem;
        }

        p {
            margin: 0;
            color: $grey;
        }

        button {
            background: transparent;
            border: none;
            font-size: 1.3rem;
            padding: 0;
            color: $secondary;
            vertical-align: middle;
        }
    }
}

.file-single-view {
    mr-image {
        display: block;
        margin: 0 auto;
        width: 100%;
        border-radius: 3px;
        margin-bottom: 10px;
        background: #222;

        img {
            width: 100%;
            object-fit: contain;
            max-height: 500px;
        }
    }

    .title {
        margin-bottom: 10px;

        h5 {
            font-size: 1.2rem;
        }

        p {
            font-size: .9rem;
            color: $grey;
            margin: 0;
        }

        mr-dropdown {
            float: right;

            button {
                font-size: 1.5rem;
            }

            .content {
                right: 0;
            }
        }
    }
}

.thread-getter {
    text-align: center;
    margin: 20px 0;

    button {
        margin-left: 5px;
    }
}

mr-file-sidebar {
    position: fixed;
    right: 0;
    z-index: 999;

    @media(min-width: 1250px) {
        position: static;
    }

    .file-expander {
        padding: 0;
        background: transparent;
        box-shadow: none;
        border-bottom: 1px solid #eee;

        p {
            font-size: .9rem;
        }
    }
}

.file-reader {
    width: 100%;
    max-width: 800px;
    margin: 0 auto;
}
